from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class CellInsertMode(IntEnum):
    NONE = auto()
    DOWN = auto()
    RIGHT = auto()
    ROWS = auto()
    COLUMNS = auto()
